summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x14.1/glibc/glibc-multilib.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/14.1/glibc/glibc-multilib.SlackBuild b/14.1/glibc/glibc-multilib.SlackBuild
index bd09ff3..701c958 100755
--- a/14.1/glibc/glibc-multilib.SlackBuild
+++ b/14.1/glibc/glibc-multilib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -30,7 +30,7 @@
VERSION=${VERSION:-2.17}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-9alien}
+BUILD=${BUILD:-10alien}
## Included in glibc now:
## glibc-libidn version
@@ -229,6 +229,8 @@ apply_patches() {
patch -p1 --verbose < $CWD/glibc-2.17_hardening.diff || exit 1
# Bugfix patch for optimization in gcc-4.8+:
patch -p1 --verbose < $CWD/glibc-2.17_gcc48-unsafe-optim.diff || exit 1
+ # Fix parsing of numeric hosts in gethostbyname_r:
+ zcat $CWD/glibc.CVE-2015-0235.glibc217.diff.gz | patch -p1 --verbose || exit 1
if [ $BOOTSTRP -eq 1 ] ; then
# Multilib - Disable check for forced unwind (Patch from eglibc) since we
# do not have a multilib glibc yet to link to;